package com.bonus.canteen.core.allocation.canteen.param;

import com.bonus.canteen.core.common.utils.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("AllocAreaParam")
public class AllocAreaParam extends PageDTO {
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("区域id")
   private List<Long> areaIdList;
   @ApiModelProperty("移除区域标识")
   private Boolean removeAreaFlag;
   @ApiModelProperty("数据选择列表")
   private List<DataSelectDTO> dataSelectList;

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public Boolean getRemoveAreaFlag() {
      return this.removeAreaFlag;
   }

   public List<DataSelectDTO> getDataSelectList() {
      return this.dataSelectList;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setRemoveAreaFlag(final Boolean removeAreaFlag) {
      this.removeAreaFlag = removeAreaFlag;
   }

   public void setDataSelectList(final List<DataSelectDTO> dataSelectList) {
      this.dataSelectList = dataSelectList;
   }

   public String toString() {
      Long var10000 = this.getAreaId();
      return "AllocAreaParam(areaId=" + var10000 + ", areaName=" + this.getAreaName() + ", ifDel=" + this.getIfDel() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", removeAreaFlag=" + this.getRemoveAreaFlag() + ", dataSelectList=" + String.valueOf(this.getDataSelectList()) + ")";
   }

   public static class DataSelectDTO {
      @ApiModelProperty("区域id")
      private Long dataId;
      @ApiModelProperty("全选标识")
      private Integer halfSelect;

      public Long getDataId() {
         return this.dataId;
      }

      public Integer getHalfSelect() {
         return this.halfSelect;
      }

      public void setDataId(final Long dataId) {
         this.dataId = dataId;
      }

      public void setHalfSelect(final Integer halfSelect) {
         this.halfSelect = halfSelect;
      }

   }
}
